Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.regex
Class RegexMatcher

    java.lang.Object
      cascading.operation.BaseOperation<C>
          cascading.operation.regex.RegexOperation<Matcher>
              cascading.operation.regex.RegexMatcher

All Implemented Interfaces:
  Operation<Matcher>, Serializable

Direct Known Subclasses:
  AssertMatches, AssertMatchesAll, RegexFilter

    public class RegexMatcher

extends RegexOperation<Matcher>

Class RegexMatcher is the base class for common regular expression operations.

This operation uses `Matcher` internally, specifically the method `Matcher.find()`.

See Also:
  `Matcher`, `Pattern`, Serialized Form

Field Summary
`protected boolean` | `negateMatch` Field removeMatch

Fields inherited from class cascading.operation.regex.RegexOperation
`patternString`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`protected` | `RegexMatcher(Fields fieldDeclaration, String patternString)`
`protected` | `RegexMatcher(Fields fieldDeclaration, String patternString, boolean negateMatch)`
`protected` | `RegexMatcher(String patternString)`
`protected` | `RegexMatcher(String patternString, boolean negateMatch)`

Method Summary
`boolean` | `equals(Object object)`
`int` | `hashCode()`
`boolean` | `isNegateMatch()`
`protected boolean` | `matchEachElement(Matcher matcher, Tuple input)` Method matchEachElement ...
`protected int` | `matchEachElementPos(Matcher matcher, Tuple input)`
`protected boolean` | `matchWholeTuple(Matcher matcher, Tuple input)` Method matchWholeTuple ...
`void` | `prepare(FlowProcess flowProcess, OperationCall<Matcher> operationCall)` Method prepare does nothing, and may safely be overridden.

Methods inherited from class cascading.operation.regex.RegexOperation
`getPattern, getPatternString`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### negateMatch

    protected final boolean negateMatch

  Field removeMatch

Constructor Detail

### RegexMatcher

    @ConstructorProperties(value="patternString")
    protected RegexMatcher(String patternString)

### RegexMatcher

    @ConstructorProperties(value={"patternString","negateMatch"})
    protected RegexMatcher(String patternString,
                                                      boolean negateMatch)

### RegexMatcher

    @ConstructorProperties(value={"fieldDeclaration","patternString"})
    protected RegexMatcher(Fields fieldDeclaration,
                                                      String patternString)

### RegexMatcher

    @ConstructorProperties(value={"fieldDeclaration","patternString","negateMatch"})
    protected RegexMatcher(Fields fieldDeclaration,
                                                      String patternString,
                                                      boolean negateMatch)

Method Detail

### isNegateMatch

    public boolean isNegateMatch()

### prepare

    public void prepare(FlowProcess flowProcess,
                        OperationCall<Matcher> operationCall)

  Description copied from class: `BaseOperation`
  Method prepare does nothing, and may safely be overridden.

  Specified by:
    `prepare` in interface `Operation<Matcher>`
  Overrides:
    `prepare` in class `BaseOperation<Matcher>`

### matchWholeTuple

    protected boolean matchWholeTuple(Matcher matcher,
                                      Tuple input)

  Method matchWholeTuple ...

  Parameters:
    `matcher` -
    `input` - of type Tuple @return boolean

### matchEachElement

    protected boolean matchEachElement(Matcher matcher,
                                       Tuple input)

  Method matchEachElement ...

  Parameters:
    `matcher` -
    `input` - of type Tuple @return boolean

### matchEachElementPos

    protected int matchEachElementPos(Matcher matcher,
                                      Tuple input)

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `RegexOperation<Matcher>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `RegexOperation<Matcher>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.